be.vlaanderen.mercurius.vsb.common.core.v3

## Enum EventType

- java.lang.Object
- - java.lang.Enum<EventType>
  - - be.vlaanderen.mercurius.vsb.common.core.v3.EventType

- All Implemented Interfaces:
    Serializable, Comparable<EventType>

      public enum EventType
      extends Enum<EventType>

  Java class for EventType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="EventType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="NEW_AFFILIATION"/>
           <enumeration value="DECEASED"/>
           <enumeration value="EXEMPTION_CHANGED"/>
           <enumeration value="PERSON_INFO_CHANGED"/>
           <enumeration value="NEW_FINE"/>
           <enumeration value="NEW_DOSSIER"/>
           <enumeration value="CONTRIBUTIONS_OVERDUE_STATUS_CHANGED"/>
           <enumeration value="UPDATE_AFFILIATION"/>
           <enumeration value="MOVE_TO_REGION_OUTSIDE_FLANDERS"/>
           <enumeration value="YD_RECALC_ON_DEMAND"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTRIBUTIONS_OVERDUE_STATUS_CHANGED` De achterstallige bijdragen status werd aangepast
    `DECEASED` Er is een overlijden vastgesteld in een mutatie bericht
    `EXEMPTION_CHANGED` Er werd een nieuwe vrijstelling geregistreerd of een bestaande vrijstelling werd aangepast
    `MOVE_TO_REGION_OUTSIDE_FLANDERS` Verhuis naar regio buiten Vlaanderen.
    `NEW_AFFILIATION` Er is een nieuwe aansluiting geregistreerd in LB
    `NEW_DOSSIER` Er werd een nieuw dossier aangemaakt in LB
    `NEW_FINE` Er werd een nieuwe boete geregistreerd in LB
    `PERSON_INFO_CHANGED` Er is een wijziging aan persoonsdata geregistreerd in LB
    `UPDATE_AFFILIATION` De aansluiting is gewijzigd.
    `YD_RECALC_ON_DEMAND` On-demand herberekening van de jaargegevens.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventType` | `fromValue(String v)`
    `String` | `value()`
    `static EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW_AFFILIATION

          public static final EventType NEW_AFFILIATION

      Er is een nieuwe aansluiting geregistreerd in LB

    - #### DECEASED

          public static final EventType DECEASED

      Er is een overlijden vastgesteld in een mutatie bericht

    - #### EXEMPTION_CHANGED

          public static final EventType EXEMPTION_CHANGED

      Er werd een nieuwe vrijstelling geregistreerd of een bestaande vrijstelling werd aangepast

    - #### PERSON_INFO_CHANGED

          public static final EventType PERSON_INFO_CHANGED

      Er is een wijziging aan persoonsdata geregistreerd in LB

    - #### NEW_FINE

          public static final EventType NEW_FINE

      Er werd een nieuwe boete geregistreerd in LB

    - #### NEW_DOSSIER

          public static final EventType NEW_DOSSIER

      Er werd een nieuw dossier aangemaakt in LB

    - #### CONTRIBUTIONS_OVERDUE_STATUS_CHANGED

          public static final EventType CONTRIBUTIONS_OVERDUE_STATUS_CHANGED

      De achterstallige bijdragen status werd aangepast

    - #### UPDATE_AFFILIATION

          public static final EventType UPDATE_AFFILIATION

      De aansluiting is gewijzigd.

    - #### MOVE_TO_REGION_OUTSIDE_FLANDERS

          public static final EventType MOVE_TO_REGION_OUTSIDE_FLANDERS

      Verhuis naar regio buiten Vlaanderen.

    - #### YD_RECALC_ON_DEMAND

          public static final EventType YD_RECALC_ON_DEMAND

      On-demand herberekening van de jaargegevens.

  - ### Method Detail

    - #### values

          public static EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventType c : EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static EventType fromValue(String v)

Connector Packaging generic 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.